/* $Id: signal.h,v 1.2 1996/06/04 08:01:40 paul Exp $ */

/*
 * Some sun-specific signal constans needed by smx files that are unable
 * to include the SunOS <signal.h> directly.
 */
#ifndef	__sunsignal_h
#define	__sunsignal_h

#define SO_SIGSEGV 11
#define SO_SIGALRM 14
#define SO_SIGTERM 15
#define SO_SIGUSR1 16
#define SO_SIGIO   22

#define SO_SIG_BLOCK   1
#define SO_SIG_UNBLOCK 2
#define SO_SIG_SETMASK 3

#ifndef _ASM
#define MASK_LEN 4
typedef struct {
    unsigned mask[MASK_LEN];
} so_sigset_t;

#define sunsigemptyset(set) (memset((set), 0, sizeof(so_sigset_t)))
#define sunsigfullset(set) (memset((set), 0xff, sizeof(so_sigset_t)))

#define sunsigword(sig) ((((sig) - 1) / 32) % MASK_LEN)
#define sunsigbit(sig) (1 << (((sig) - 1) % 32))

#define sunsigaddset(set, sig) ((set)->mask[sunsigword(sig)] |= sunsigbit(sig))
#define sunsigdelset(set, sig) ((set)->mask[sunsigword(sig)] &= ~sunsigbit(sig))
#endif /* notdef ASM */

#endif	/* !__sunsignal_h */
