/* $Id$ */

/*
 * This .h file contains this shared between sunsighandle.c and mpx.c.
 * The contents of these two files were at one time all in mpx.c.  They
 * were split up so that the code needed to make lots of SunOS signal
 * calls appeared in one file (sunsighandle.c) that was able to include
 * the SunOS <signal.h>.  This is problematic in most kernel files because
 * of conflicts between the MINIX and SunOS header files.
 */

/*
 * vectors specifies for each SunOS signal the kernel function that
 * should be called to handle it.  The array and its size are initialised
 * in sunsighandle.c, which directly includes the SunOS <signal.h> to extract
 * information needed in performing these intialisations.
 */ 
extern void (*vectors[])();
extern int vectorlen;          /* Number of entries in vectors */

/*
 * SunOSsig is the handler for all SunOS signals.  The other functions
 * are those installed in the vectors array to act as second
 * level handlers.
 */
extern void SunOSsig(), exception(), s_call(), sunio_interrupt(),
    smx_clock_handler();
